package gov.va.med.esr.service.trigger;

import gov.va.med.esr.common.model.person.id.PersonEntityKey;

/**
 * Trigger event for general processes
 * 
 * @author DNS   ruizc
 *
 */
public class ProcessTriggerEvent extends PersonTriggerEvent {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7313050218694650906L;

	public static final String CREATE_HEC_RECORD = "triggerEvent.createHecRecord";
	
	public static final String UPDATE_MVI_DOD = "triggerEvent.updateMVIofDod";
	
	public ProcessTriggerEvent(String processName, PersonEntityKey personId) {
		super(new CommonTriggerIdentity( CommonTrigger.DestinationType.COMMON ));

		this.setName(processName);
		super.setPersonId(personId);		
	}
}
